合作咨询
我们的专家服务团队将竭诚为您提供专业的合作咨询服务
HMS Core
根据instanceId获取对应的其他卡券个人化实例。
开发者可以调用该API,查看某一个已添加到华为钱包服务器的其他卡券个人化实例。
需在华为AGC网站上创建应用并申请卡券对应的服务。
承载协议 | HTTPS GET |
|---|---|
接口方向 | 开发者服务器->华为钱包服务器 |
接口URL | {url}/hmspass/v2/{cardType}/instance/{instanceId} {url}变量需要开发者根据服务器所属区域自行选择,请参见钱包服务器地址。 |
数据格式 | 请求消息:Content-Type: application/json 响应消息:Content-Type: application/json |
参数 | 是否必选 | 参数类型 | 描述 |
|---|---|---|---|
cardType | 是 | String | 开发者根据卡券类型自行选择,请参见当前支持的其他卡券类型。 |
instanceId | 是 | String | 个人化实例的唯一标识符。这个ID在同一个appId下唯一。这个ID只能包含字母、数字和(.)、(-)、(_)。 |
Request Header:
参数 | 是否必选 | 参数类型 | 描述 |
|---|---|---|---|
Authorization | 是 | String | 鉴权码。获取方式详见基于OAuth 2.0开放鉴权,请使用“客户端模式”。“client_id”和“client_secret”即为开发者在华为AGC网站上创建应用后获取的“App ID”和“App key”。将获取到的“access_token”的值拼接在字符串“Bearer”之后,以空格符相隔,组成“Authorization”参数的值。 |
Content-Type | 是 | String | 固定值:“application/json;charset=utf-8”。 |
Accept | 是 | String | 固定值:“application/json;charset=utf-8”。 |
- GET /hmspass/v2/key_parkcard/instance/70001 HTTP/1.1
- Content-Type: application/json;charset=utf-8
- Authorization: Bearer ***
- Accept: application/json;charset=utf-8
- Host: wallet-passentrust-drcn.cloud.huawei.com.cn
- HTTP/1.1 200 OK
- Content-Type: application/json
- {
- "organizationPassId": "5623489234",
- "passTypeIdentifier": "hwpass.type.parkcard.test",
- "passStyleIdentifier": "class_parkcard_Test",
- "serialNumber": "70001",
- "fields": {
- "status": {
- "state": "active",
- "effectTime": "2019-11-13T00:00:00.111Z",
- "expireTime": "2020-11-20T00:00:00.111Z"
- },
- "barCode": {
- "text": "562348969211212",
- "type": "codabar",
- "value": "562348969211212",
- "encoding": "UTF-8"
- },
- "commonFields": [
- {
- "key": "cardNumber",
- "value": "12345678"
- "label": "cardNumber"
- }
- ],
- "appendFields": [
- {
- "key": "isCreateWhiteCard",
- "value": "true",
- "label": "NFCCardFlag"
- }
- ]
- }
- }
详见错误码。
- public HwWalletObject getWalletModelByModelId(String url, String modelId) {
- // Construct the http header.
- HttpHeaders header = constructHttpHeaders();
- // Construct the http URL.
- String baseUrl = ConfigHelper.instants().getValue("walletServerBaseUrl");
- String walletServerUrl = baseUrl + url + modelId;
-
- // Send the http request and get response.
- ResponseEntity<HwWalletObject> response =
- REST_TEMPLATE.exchange(walletServerUrl, HttpMethod.GET, new HttpEntity(header), HwWalletObject.class);
-
- // Return the wallet model with the corresponding model ID.
- return response.getBody();
- }
合作咨询
我们的专家服务团队将竭诚为您提供专业的合作咨询服务
解决方案
精准高效的一站式服务支持,助力开发者商业成功